"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.teardownStage = exports.setupStage = void 0;
var tslib_1 = require("tslib");
var path = tslib_1.__importStar(require("path"));
var shell = tslib_1.__importStar(require("shelljs"));
shell.config.silent = true;
var rootDir = process.cwd();
var getStageName = function (fixtureName) { return "stage-" + fixtureName; };
function setupStage(testDir, fixtureName) {
    var stagePath = path.join(rootDir, getStageName(fixtureName));
    shell.mkdir(stagePath);
    shell.exec("cp -a " + rootDir + "/test/" + testDir + "/fixtures/" + fixtureName + "/. " + stagePath + "/");
    shell.ln('-s', path.join(rootDir, 'node_modules'), path.join(stagePath, 'node_modules'));
    shell.cd(stagePath);
}
exports.setupStage = setupStage;
function teardownStage(fixtureName) {
    shell.cd(rootDir);
    shell.rm('-rf', path.join(rootDir, getStageName(fixtureName)));
}
exports.teardownStage = teardownStage;
