"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execWithCache = void 0;
var tslib_1 = require("tslib");
var shell = tslib_1.__importStar(require("shelljs"));
shell.config.silent = true;
var cache = {
    command: '',
    output: {}
};
function execWithCache(command, _a) {
    var _b = (_a === void 0 ? {} : _a).noCache, noCache = _b === void 0 ? false : _b;
    if (!noCache && cache.command === command) {
        return cache.output;
    }
    var output = shell.exec(command);
    if (noCache) {
        cache.command = '';
        cache.output = {};
    }
    else {
        cache.command = command;
        cache.output = output;
    }
    return output;
}
exports.execWithCache = execWithCache;
